Skip to main content
POST
/
merlin
/
import
/
trigger
Trigger a manual import
curl --request POST \
  --url https://api.royalti.io/merlin/import/trigger \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "period": "202401",
  "dspFolder": "<string>"
}
'
import requests

url = "https://api.royalti.io/merlin/import/trigger"

payload = {
"period": "202401",
"dspFolder": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({period: '202401', dspFolder: '<string>'})
};

fetch('https://api.royalti.io/merlin/import/trigger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "discoveredCount": 123,
    "downloadedCount": 123,
    "processedCount": 123,
    "failedCount": 123,
    "confidenceScores": {},
    "errors": [
      "<string>"
    ],
    "triggeredAt": "2023-11-07T05:31:56Z",
    "completedAt": "2023-11-07T05:31:56Z"
  }
}
{
"status": "error",
"message": "Invalid request parameters"
}
{
"status": "error",
"message": "Unauthorized"
}
This endpoint requires authentication. Include your Bearer token in the Authorization header.

Code Examples

const response = await fetch('https://api.royalti.io/merlin/import/trigger', {
  method: 'POST',
  headers: {
    'Authorization': `Bearer ${token}`,
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "period": "202401",
    "dspFolder": "sample-dspFolder"
  })
});

const data = await response.json();
console.log(data);
import requests

response = requests.post(
  'https://api.royalti.io/merlin/import/trigger',
  headers={
    'Authorization': f'Bearer {token}'
  },
  json={"period":"202401","dspFolder":"sample-dspFolder"}
)

data = response.json()
print(data)
curl -X POST https://api.royalti.io/merlin/import/trigger \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"period":"202401","dspFolder":"sample-dspFolder"}'

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"

Body

application/json
period
string
required
Example:

"202401"

dspFolder
string

Response

Import triggered successfully

success
boolean
data
object